clear
ztree2stata trustdata using lecture6.xls

gen receive = send * 3
graph bar (mean) receive return if part < 4, over(part, relabel(1 "Baseline" 2 "Reputation" 3 "Cheap talk") axis(lcolor(none))) bar(1, fcolor(emidblue) lcolor(black)) bar(2, fcolor(forest_green) lcolor(black)) ytitle($) ylabel(0(5)30, angle(horizontal) format(%9.0f) nogrid) legend(order(1 "Amount received" 2 "Amount returned") region(lcolor(white))) name(trustmeans, replace) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))
graph export trustmeans.pdf, as(pdf) replace

preserve
collapse receive return, by(Period part)
la def parts 1 "Baseline" 2 "Reputation" 3 "Cheap talk"
la val part parts
twoway (line receive Period, sort lcolor(edkblue) lwidth(thick)) (line return Period, sort lcolor(forest_green) lwidth(thick)) if part<4, ytitle($) ytitle(, size(large)) yscale(noline) ylabel(0(5)30, labsize(medlarge) angle(horizontal) format(%9.0f) nogrid) xtitle(Period) xtitle(, size(large)) xscale(noline) xlabel(1(1)10, labsize(medlarge)) by(, note("")) by(, legend(position(12))) legend(order(1 "Amount received" 2 "Amount returned") rows(1) size(medlarge) region(lcolor(white))) name(trusttime, replace) xsize(6) ysize(12) by(, graphregion(fcolor(white) lcolor(white))) by(part, cols(1)) subtitle(, size(vlarge) nobox) plotregion(lcolor(black))
graph export trusttime.pdf, as(pdf) replace

restore 

preserve
drop session treatment tables Period id
egen id = fill(1 2)
reshape long trust, i(id)
replace _j = 10 - _j
tabstat trust, s(me) by(_j)
graph bar (mean) trust, over(_j, gap(20)) bar(1, fcolor(ebblue) lcolor(black)) ytitle(Fraction Trusting) ylabel(0(0.1)1, angle(horizontal) format(%9.2f) nogrid) caption(Number of Trustworthy Second Movers, position(6) justification(center)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) plotregion(fcolor(white) lcolor(black) ifcolor(white) ilcolor(white)) name(betrayal, replace)
graph export betrayal.pdf, as(pdf) replace
